@import 'src/assets/sass/variables/color';

// ul.unstyled {
//   padding-left: 0;
// }
// ul.unstyled li,
// ol.unstyled li {
//   list-style: none;
//   padding-top: 16px;
//   padding-bottom: 16px;
// }

// ul.list-dense li,
// ol.list-dense li {
//   padding-top: 2px;
//   padding-bottom: 2px;
// }

// hr {
//   height: 2px;
//   width: 100%;
//   background-color: #ccd2d8;
//   margin-top: 0;
//   margin-bottom: 32px;
//   border: none;
// }

// input {
//   background-color: white;
// }

// .page-content-section {
//   margin-bottom: 128px;
// }

// .section-padding {
//   padding-top: 50px;
//   padding-bottom: 50px;
// }

// .subtitle {
//   color: #636e7b;
//   font-size: 24px;
//   line-height: 36px;
// }

// // section {
// //   background-color: #ffffff;
// // }

// // .section-dark {
// //   background-color: #f8f4ed;
// // }

// .centered-narrow {
//   max-width: 768px;
//   margin: 96px auto;
//   font-size: 18px;
//   line-height: 32px;
// }

// .elg-grid > .row {
//   margin-bottom: 96px;
// }

// .elg-grid hr {
//   height: 2px;
//   width: 100%;
//   background-color: #ccd2d8;
//   margin-top: 0;
//   margin-bottom: 32px;
//   border: none;
// }

// .elg-grid h3 {
//   font-weight: 600;
//   font-size: 24px;
//   line-height: 33px;
//   margin-top: 32px;
// }

// .elg-grid .intro {
//   font-weight: normal;
//   font-size: 24px;
//   line-height: 36px;
//   color: #636e7b;
//   margin-bottom: 5px;
// }

// .font-big {
//   font-size: 24px;
//   line-height: 36px;
// }

// .color-lighter {
//   color: #636e7b;
// }

// .services-content {
//   margin-bottom: 96px;
// }

// .services-content h3 {
//   font-size: 18px;
//   line-height: 25px;
//   margin-top: 32px;
//   font-weight: 600;
// }

// .services-content .intro {
//   font-size: 16px;
//   line-height: 24px;
// }

// .services-content h4 {
//   margin-top: 24px;
//   font-weight: 600;
//   font-size: 14px;
//   line-height: 19px;
// }

// .services-content .outro {
//   font-size: 14px;
//   line-height: 19px;
//   letter-spacing: 0.2px;
//   color: #636e7b;
// }

// .accented {
//   background-color: whitesmoke;
//   padding-top: 16px;
// }

// .table--zebra tbody tr td {
//   padding-top: 8px;
//   padding-bottom: 8px;
// }

// .table thead tr th {
//   padding-top: 48px;
//   padding-bottom: 16px;
//   border-top: none;
//   border-bottom: 2px solid #ccd2d8;
//   font-size: 24px;
//   line-height: 36px;
//   color: #636e7b;
//   font-weight: normal;
// }

// .table tbody tr th,
// .table tbody tr td {
//   padding-top: 24px;
//   padding-bottom: 24px;
//   border: none;
// }

// .table tbody tr th a {
//   color: #212932 !important;
// }

// .center-all {
//   display: flex;
//   flex-direction: column;
//   flex-wrap: wrap;
//   justify-content: center;
//   align-items: center;
// }

// .event__listing .row {
//   margin-bottom: 96px;
// }

// .event__listing h3 a {
//   color: #212932 !important;
//   font-weight: 600;
//   font-size: 18px;
//   line-height: 25px;
// }

// .event__listing p {
//   font-size: 16px;
//   line-height: 24px;
//   color: #636e7b;
// }

// .events-intro p {
//   font-size: 18px;
// }

// .events-intro a {
//   font-weight: 600;
//   margin-top: 16px;
//   display: inline-block;
// }

// .event {
//   padding-right: 64px;
// }

// .event h3 {
//   font-weight: 600;
// }

// .event .intro {
//   color: #212932;
// }

// .event a {
//   font-weight: 600;
// }

// .fullsize-cover {
//   background-size: cover;
//   background-repeat: no-repeat;
//   background-position: center;
// }

// .highlighted-event {
//   min-height: 522px;
//   padding: 48px;
// }

// .highlighted-event .intro {
//   color: #212932;
// }

// .highlighted-event .cms-link {
//   font-weight: 600;
//   margin-left: 32px;
// }

// .highlighted-event h3 a.cms-link,
// .highlighted-event .mat-flat-button {
//   margin-left: 0;
//   font-weight: 600;
// }

// .community__list img {
//   height: 64px;
//   max-width: 96px;
//   filter: saturate(0);
//   transition: filter 0.7s;

//   &:hover {
//     filter: saturate(1);
//   }
// }

// .consortium__list img {
//   display: block;
//   height: auto;
//   max-height: 128px;
//   max-width: 192px;
//   margin: auto;
// }

// .consortium__list figure {
//   height: 100%;
//   width: 100%;
//   display: flex;
//   flex-direction: column;
//   justify-content: space-between;
//   align-items: center;
// }

// .consortium__list figure a {
//   flex-grow: 1;
//   display: flex;
//   width: inherit;
// }

// .consortium__list figcaption {
//   text-align: center;
//   padding: 16px;
//   font-size: 12px;
// }

// .consortium__team figure img {
//   width: 100%;
// }

// figcaption {
//   margin: 0;
//   padding-top: 16px;
//   font-size: 12px;
// }

// .topic-box {
//   border-radius: 4px;
//   border: 1px solid #b0bec5;
//   width: 32%;
//   position: relative;
//   background-color: rgb(255, 255, 255);
// }

// .topic-box__image-holder {
//   width: 50px;
//   height: 50px;
//   background-size: 48px;
//   background-repeat: no-repeat;
// }

// .topic-box__image-holder--technology {
//   background-image: url('/assets/img/c-tech.png');
// }

// .topic-box__image-holder--resource {
//   background-image: url('/assets/img/c-res.png');
// }

// .topic-box__image-holder--information {
//   background-image: url('/assets/img/c-info.png');
// }

// .topic-box .inner-link {
//   position: absolute;
//   display: block;
//   height: 100%;
//   width: 100%;
//   top: 0;
//   left: 0;
// }

// .topic-box .elg-link-outlined {
//   width: 100%;
//   text-align: center;
//   margin-top: 15px;
// }

// .topic-box .inner-link:hover {
//   background-color: whitesmoke;
//   opacity: 0.3;
// }

// // .explore-topics__wrapper {
// //   display: flex;
// //   flex-direction: column;
// //   flex-wrap: wrap;
// //   justify-content: space-between;
// //   @media (min-width: 800px) {
// //     flex-direction: column;
// //   }
// // }

// .mat-form-field-wrapper {
//   padding-bottom: 10px;
// }

// .webformRenderer {
//   textarea {
//     min-height: 100px;
//   }

//   a:hover {
//     background-color: #144e52 !important;
//   }
// }

// /* * * * * * * * * * * * *
// *   Dynamic components   *
// * * * * * * * * * * * * **/

// .link-big {
//   padding: 12px 44px;
// }

// .mat-alternate {
//   background-color: $elg-alternate;
//   color: white;
// }

// .mat-alternate:hover {
//   background-color: #521435;
// }

// .mat-accent:hover {
//   background-color: #144e52;
// }

// .elg-link {
//   transition: color 0.7s;
// }

// .elg-link:hover {
//   color: #144e52;
//   text-decoration: none;
// }

// .cms-link {
//   transition: background-color 0.7s;
// }

// .cms-link:hover {
//   text-decoration: none;
// }

// .inner-link-outlined,
// .elg-link-outlined {
//   border: 2px solid mat-color($accent);
//   border-radius: 5px;
//   padding: 10px 16px;
//   margin-top: 20px;
//   font-weight: 600;
//   display: inline-block;
//   color: mat-color($accent);
// }

// // .explore-topics__wrapper > app-dynamic {
// //   max-width: 31%;
// // }

// // .explore-topics__wrapper .mat-card {
// //   border: 1px solid whitesmoke;
// //   height: 100%;
// //   padding: 24px;
// //   cursor: pointer;
// // }

// // .explore-topics__wrapper .mat-card .mat-card-content {
// //   padding-top: 50px;
// //   display: flex;
// //   flex-direction: column;
// //   justify-content: space-between;
// //   height: 100%;
// // }

// .mat-card-content h2 {
//   margin-top: 50px;
//   font-weight: 600;
// }

// .mat-card-content h3 {
//   margin-top: 50px;
//   font-weight: 600;
// }

// .mat-card-content p {
//   color: #636e7b;
// }

// // .mat-card-content > app-dynamic {
// //   width: 100%;
// //   display: flex;
// // }

// .mat-card-content .inner-link-outlined {
//   width: 100%;
//   text-align: center;
//   margin-top: 15px;
// }

// .disabled {
//   pointer-events: none;
//   cursor: default;
// }

// /* * * * * * * * * * * * *
// *   Unified styleguide   *
// * * * * * * * * * * * * **/

// :root {
//   /* colors */
//   --color-primary: #ebb447;
//   --color-primary--grayish: #f8f4ed;

//   --color-grays--white: #ffffff;
//   --color-grays--offwhite: #f5f7fa;
//   --color-grays--glossy: #ccd2d8;
//   --color-grays--bright: #9ca5b0;
//   --color-grays--gloomy: #636e7b;
//   --color-grays--offblack: #212932;

//   --color-highlight--pink: #d65c9d;
//   --color-highlight--purple: #7c5cd6;
//   --color-highlight--mint: #25c58f;
//   --color-highlight--teal: #299ba3;
//   --color-highlight--dark: #144e52;

//   /* other variables */
//   --border-radius: 4px;
// }

// body,
// p,
// * {
//   font-family: 'Noto Sans Display', sans-serif;
// }

// /* text */

// h1,
// h2,
// h3,
// h4,
// h5 {
//   font-weight: 600;
//   color: var(--color-grays--offblack);
// }

// h1 {
//   font-size: 2.25rem;
//   line-height: 3rem;
// }

// h2 {
//   font-size: 1.5rem;
//   line-height: 2rem;
//   color: red;
// }

// h3 {
//   font-size: 1.125rem;
//   line-height: 1.563rem;
// }

// h4 {
//   font-weight: 700;
//   font-size: 1rem;
//   line-height: 1.5rem;
// }

// h5 {
//   font-size: 0.875rem;
//   line-height: 1.25;
// }

// p,
// .intro,
// .bigger-text,
// .biggest-text,
// .caption {
//   color: var(--color-grays--offblack);
//   font-weight: 500;
// }

// .intro {
//   font-size: 1.5rem;
//   line-height: 2.25rem;
// }

// p {
//   font-size: 0.875;
//   line-height: 1.25rem;
// }

// .bigger-text {
//   font-size: 1rem;
//   line-height: 1.5rem;
// }

// .biggest-text {
//   font-size: 1.125rem;
//   line-height: 2rem;
// }

// .caption {
//   font-size: 0.75rem;
//   line-height: 1rem;
// }

// /* input elements */

// .mat-input-element {
//   background: 0 0;
//   border: none;
//   outline: 0;
//   padding: 0 0.6rem;
//   margin: 0;
//   width: 100%;
//   max-width: 100%;
//   vertical-align: bottom;
//   font-size: 1rem;
//   height: 2.8rem;
//   border-radius: var(--border-radius);
//   border: 1px solid var(--color-grays--bright);
// }

// /* links */
// a {
//   font-weight: 700;
//   font-size: 1rem;
//   line-height: 1.5rem;
//   color: var(--color-highlight--teal);
//   text-decoration: none;
//   transition: color 0.7s;
// }

// a:hover {
//   text-decoration: none;
//   color: var(--color-highlight--dark);
// }

// .mat-flat-button,
// .elg-button-small {
//   transition: background-color 0.7s;
//   font-weight: 600;
//   border-radius: var(--border-radius);
//   padding: 10px 116px;
//   font-size: 1rem;
//   line-height: 1.5rem;
//   margin-top: 20px;
//   color: white !important;
// }
// .mat-flat-button:hover,
// .mat-flat-button:active,
// .elg-button-small:hover,
// .elg-button-small:active {
//   text-decoration: none;
//   color: white !important;
//   cursor: pointer;
// }

// .color-purple {
//   background-color: var(--color-highlight--purple);
//   &:hover {
//     background-color: var(--color-highlight--dark);
//   }
// }

// .color-teal,
// .elg-button-accent {
//   background-color: var(--color-highlight--teal);
//   &:hover {
//     background-color: var(--color-highlight--dark);
//   }
// }

// .inner-link-outlined--purple {
//   border: 2px solid var(--color-highlight--purple);
//   border-radius: var(--border-radius);
//   padding: 10px 116px;
//   margin-top: 20px;
//   font-weight: 600;
//   display: inline-block;
//   color: var(--color-highlight--purple) !important;
//   cursor: pointer;
//   &:hover {
//     border-color: var(--color-highlight--dark);
//     color: var(--color-highlight--dark) !important;
//   }
// }

// .inner-link-outlined--teal {
//   border: 2px solid var(--color-highlight--teal);
//   border-radius: var(--border-radius);
//   padding: 10px 116px;
//   margin-top: 20px;
//   font-weight: 600;
//   display: inline-block;
//   color: var(--color-highlight--teal) !important;
//   cursor: pointer;
//   &:hover {
//     border-color: var(--color-highlight--dark);
//     color: var(--color-highlight--dark) !important;
//   }
// }

// /* Icons */

// .elg-icon {
//   height: 64px;
//   width: 64px;
// }

// .elg-icon--app-services {
//   background-image: url('/cms/sites/default/files/img/app-services.svg');
//   background-repeat: no-repeat;
// }

// .elg-icon--b-chat {
//   background-image: url('/cms/sites/default/files/img/b-chat.svg');
//   background-repeat: no-repeat;
// }
// .elg-icon--book-open {
//   background-image: url('/cms/sites/default/files/img/book-open.svg');
//   background-repeat: no-repeat;
// }
// .elg-icon--book {
//   background-image: url('/cms/sites/default/files/img/book.svg');
//   background-repeat: no-repeat;
// }
// .elg-icon--cloud-forecast {
//   background-image: url('/cms/sites/default/files/img/cloud-forecast.svg');
//   background-repeat: no-repeat;
// }
// .elg-icon--compass {
//   background-image: url('/cms/sites/default/files/img/compass.svg');
//   background-repeat: no-repeat;
// }
// .elg-icon--content-delivery {
//   background-image: url('/cms/sites/default/files/img/content-delivery.svg');
//   background-repeat: no-repeat;
// }
// .elg-icon--electronic-circuit {
//   background-image: url('/cms/sites/default/files/img/electronic-circuit.svg');
//   background-repeat: no-repeat;
// }
// .elg-icon--loudspeaker {
//   background-image: url('/cms/sites/default/files/img/loudspeaker.svg');
//   background-repeat: no-repeat;
// }
// .elg-icon--machine-learning {
//   background-image: url('/cms/sites/default/files/img/machine-learning.svg');
//   background-repeat: no-repeat;
// }
// .elg-icon--network {
//   background-image: url('/cms/sites/default/files/img/network.svg');
//   background-repeat: no-repeat;
// }
// .elg-icon--note-code {
//   background-image: url('/cms/sites/default/files/img/note-code.svg');
//   background-repeat: no-repeat;
// }
// .elg-icon--show {
//   background-image: url('/cms/sites/default/files/img/show.svg');
//   background-repeat: no-repeat;
// }
// .elg-icon--single-copies {
//   background-image: url('/cms/sites/default/files/img/single-copies.svg');
//   background-repeat: no-repeat;
// }
// .elg-icon--single-copy {
//   background-image: url('/cms/sites/default/files/img/single-copy.svg');
//   background-repeat: no-repeat;
// }

// /* spacing */
// $spacer: 1rem;
// $spacer-x: $spacer;
// $spacer-y: $spacer;
// $spacers: (
//   0: (
//     x: 0,
//     y: 0
//   ),
//   1: (
//     x: $spacer-x * 0.25,
//     y: $spacer-y * 0.25
//   ),
//   2: (
//     x: (
//       $spacer-x * 0.5
//     ),
//     y: (
//       $spacer-y * 0.5
//     )
//   ),
//   3: (
//     x: (
//       $spacer-x
//     ),
//     y: (
//       $spacer-y
//     )
//   ),
//   4: (
//     x: (
//       $spacer-x * 2
//     ),
//     y: (
//       $spacer-y * 2
//     )
//   ),
//   5: (
//     x: (
//       $spacer-x * 4
//     ),
//     y: (
//       $spacer-y * 4
//     )
//   ),
//   6: (
//     x: (
//       $spacer-x * 6
//     ),
//     y: (
//       $spacer-y * 6
//     )
//   ),
//   7: (
//     x: (
//       $spacer-x * 8
//     ),
//     y: (
//       $spacer-y * 8
//     )
//   )
// );
// @mixin spacing() {
//   @each $prop, $abbrev in (margin: m, padding: p) {
//     @each $size, $lengths in $spacers {
//       $length-x: map-get($lengths, x);
//       $length-y: map-get($lengths, y);
//       .#{$abbrev}-#{$size} {
//         #{$prop}: $length-y $length-x !important;
//       }
//       .#{$abbrev}t-#{$size} {
//         #{$prop}-top: $length-y !important;
//       }
//       .#{$abbrev}r-#{$size} {
//         #{$prop}-right: $length-x !important;
//       }
//       .#{$abbrev}b-#{$size} {
//         #{$prop}-bottom: $length-y !important;
//       }
//       .#{$abbrev}l-#{$size} {
//         #{$prop}-left: $length-x !important;
//       }
//     }
//   }
// }
// @include spacing;
